GET

/api/v1/terminal/orders/

Permission: SMART_TRADES_READSecurity: SIGNED

Returns a single trade by its UUID. Use this endpoint to retrieve all details of a specific trade, including order type, amount, status, and execution conditions.

See Trade Entity for full attribute definitions
Trade Entity

Path Parameters

uuidstring required

The unique identifier of the trade to retrieve. Example: f89e3f34-1db1-47f2-81cc-9b4e5c50d7e1

Example Request

GETGET /api/v1/terminal/orders/f89e3f34-1db1-47f2-81cc-9b4e5c50d7e1

Example Responses

If successful, returns the full trade object. See Trade Entity for a complete breakdown of all fields.

get_trade_200.json
200 OK
{
  "trade": {
    "uuid": "be523b7b-05a0-49b9-89f9-41ae19fff415",
    "account_id": 32576869,
    "pair": "BTC_ETH",
    "created_at": 1727871936,
    "closed_at": 1727871937,
    "order": {
      "type": "market",
      "side": "buy",
      "strategy": null,
      "position_side": "both",
      "reduce_only": false
    },
    "units": {
      "value": "2.4869"
    },
    "price": {
      "value": null
    },
    "total": {
      "value": "0.099898773"
    },
    "conditional": {
      "enabled": false,
      "value": null,
      "price": {
        "value": null,
        "type": null
      }
    },
    "trailing": {
      "enabled": false,
      "value": null,
      "percent": null
    },
    "timeout": {
      "enabled": false,
      "value": null
    },
    "leverage": {
      "type": null
    },
    "status": {
      "value": "finished",
      "error": null
    },
    "filled": {
      "units": "2.4869",
      "total": "0.099998671773",
      "price": "0.04021",
      "value": "100.0"
    },
    "data": {
      "cancelable": false
    }
  }
}